import { createAction, props } from '@ngrx/store';
import {
  BulkInfoRequest,
  StatusBulkInfo,
  StatusNotification
} from '@ucap-webmessenger/protocol-status';

export const bulkInfo = createAction(
  '[Messenger::Status] Bulk Info',
  props<BulkInfoRequest>()
);

export const bulkInfoSuccess = createAction(
  '[Messenger::Status] Bulk Info Success',
  props<{ statusBulkInfoList: StatusBulkInfo[] }>()
);

export const bulkInfoFailure = createAction(
  '[Messenger::Status] Bulk Info Failure',
  props<{ error: any }>()
);

export const statusNotification = createAction(
  '[Messenger::Status]  Status Notification',
  props<{ noti: StatusNotification }>()
);
